### Function

# Ide MarkedContent new_plaintext

#### Declaration

    IdeMarkedContent*
    ide_marked_content_new_plaintext (
      const gchar* plaintext
    )

#### Description

Creates a new `IdeMarkedContent` of type `IDE_MARKED_KIND_PLAINTEXT` with the contents of `string`.

Available since: | 3.32

#### Parameters

`plaintext` | `const gchar*`
| A string containing the plaintext.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeMarkedContent`
| An `IdeMarkedContent`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.